Bug 158256 - up2date errors if yum isnt installed, but doesn't need to
up2date errors if yum isnt installed, but doesn't need to
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-19 19:07 EDT by Adrian Likins
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:22:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2005-05-19 19:07:13 EDT
For repomd support, up2date needs yum installed. If it
isnt, it tracebacks. It should handle this gracefully.
Comment 1 Adrian Likins 2005-05-19 19:08:56 EDT
fixed in 4.4.22
Comment 2 Ken Snider 2005-08-11 14:57:38 EDT
Are you certain it was fixed in .22?

[root@excalibur rhn]# rpm -q up2date
up2date-4.4.23-4
[root@excalibur rhn]# up2date -l
An error has occurred:
exceptions.ImportError
See /var/log/up2date for more information
Comment 3 John Thacker 2006-10-29 15:22:30 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 4 John Thacker 2006-11-05 11:22:48 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.